%define alpha 0
Name: partitionmorpher
Version: 0.3
Release: alt1

Summary: Powerful Disk Partitioning Tool
Group: System/Configuration/Hardware
License: GPL
Url: http://am.xs4all.nl/phpwiki/index.php/PartitionMorpher

Source:	 %{name}_%{version}-%{alpha}.tar.gz
Source10: %{name}.pamd
Source11: %{name}.security
Source12: %{name}.menu
Source3: %{name}_16.png
Source4: %{name}_32.png
Source5: %{name}_64.png
Source6: %{name}.desktop

Requires: gksu libparted libprogsreiserfs libgtk+2

BuildPreReq: automake_1.7

# Automatically added by buildreq on Sun Mar 07 2004
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 glib2-devel libatk-devel libgtk+2-devel libpango-devel libparted-devel pkgconfig

%description
PartitionMorpher aims to be a simple yet powerful disk partitioning
tool, based on gtk2.

%prep
%setup -q -n %name

%build
%configure
%make_build

%install
%make_install DESTDIR=$RPM_BUILD_ROOT install
install -pD -m644 %SOURCE6 %buildroot%_datadir/applications/partitionmorpher.desktop
install -pD -m644 %SOURCE12 %buildroot%_menudir/partitionmorpher
install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.png
install -pD -m644 %SOURCE4 %buildroot%_iconsdir/%name.png
install -pD -m644 %SOURCE5 %buildroot%_liconsdir/%name.png

%post
%update_menus

%postun
%clean_menus

#%find_lang %name

%files 
#-f %name.lang
%doc	README TODO AUTHORS
%_datadir/applications/*.desktop
%_sbindir/partitionmorpher
%_menudir/*
%_iconsdir/*.png
%_iconsdir/*/*.png

%changelog
* Wed Jul 21 2004 Vital Khilko <vk@altlinux.ru> 0.3-alt1
- fixed #4408

* Tue Mar 09 2004 Vital Khilko <vk@altlinux.ru> 0.1-alt1
- initial build
- add icons, .desktop file and altlinux menu entry
